#
# Conditional build
%bcond_without	doc	# don't build documentation (man, HTML)

Summary:	Utilities for IPv4/IPv6 networking
Summary(pl.UTF-8):	Użytki przeznaczone dla pracy z siecią IPv4/IPv6
Summary(ru.UTF-8):	Набор базовых сетевых утилит (ping, tracepath etc.)
Summary(uk.UTF-8):	Набір базових мережевих утиліт (ping, tracepath etc.)
Name:		iputils
Version:	s20151218
Release:	3
Epoch:		2
License:	BSD
Group:		Networking/Admin
Source0:	http://www.skbuff.net/iputils/%{name}-%{version}.tar.bz2
# Source0-md5:	8aaa7395f27dff9f57ae016d4bc753ce
Patch0:		%{name}-pmake.patch
Patch1:		%{name}-pf.patch
Patch2:		%{name}-bindnow.patch
URL:		http://www.linuxfoundation.org/collaborate/workgroups/networking/iputils
%if %{with doc}
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils >= 0.6.10
%endif
BuildRequires:	libcap-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	linux-libc-headers
BuildRequires:	openssl-devel
BuildRequires:	sysfsutils-devel
Requires:	arping
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPv4/IPv6 networking utils:
- clockdiff - measures clock difference between us and destination
  with 1msec resolution,
- traceroute6,
- rdisc - classic router discovery daemon,
- tracepath/tracepath6 - trace path to destination discovering MTU
  along this path using UDP packets

%description -l pl.UTF-8
Narzędzia przeznaczone dla sieci IPv4/IPv6:
- clockdiff - sprawdza różnicę czasu/daty pomiędzy nami a innym
  komputerem z rozdzielczością 1ms,
- traceroute6,
- rdisc - klasyczny demon router discovery,
- tracepath/tracepath6 - śledzą drogę pakietów do celu przy użyciu
  pakietów UDP, sprawdzając MTU

%description -l ru.UTF-8
Пакет iputils содержит набор базовых сетевых утилит (ping, tracepath
etc.) от Алексея Кузнецова. Он НЕ включает классический traceroute,
который содержится в отдельном пакете.

%description -l uk.UTF-8
Пакет iputils містить набір базових мережевих утиліт (ping, tracepath
etc.) від Олексія Кузнєцова. Він НЕ містить класичного traceroute,
який міститься в окремому пакеті.

%package -n ping
Summary:	IPv4 and IPv6 ping commands
Summary(pl.UTF-8):	Programy ping wykorzystujące IPv4 i IPv6
Group:		Networking/Admin
Obsoletes:	inetutils-ping
Obsoletes:	iputils-ping < 2:s20151218-2

%description -n ping
IPv4 and IPv6 ping commands.

%description -n ping -l pl.UTF-8
Programy ping wykorzystujące IPv4 i IPv6.

%package arping
Summary:	arping utility
Summary(pl.UTF-8):	Narzędzie arping
Group:		Networking/Admin
Provides:	arping
Obsoletes:	arping

%description arping
Utility to ping given address on given device by ARP packets, using
given source address.

%description arping -l pl.UTF-8
Narzędzie pingujące podany adres na podanym interfejsie wysyłając
pakiety ARP z użyciem podanego adresu źródłowego.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} all \
	CC="%{__cc}" \
	CCOPT="%{rpmcflags} %{rpmcppflags} -D_GNU_SOURCE -DHAVE_SIN6_SCOPEID=1"

cd ninfod
%configure
%{__make}
cd ..

%if %{with doc}
%{__make} html
%{__make} man
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,/bin,/sbin}

install -p clockdiff ipg rarpd rdisc tftpd tracepath tracepath6 traceroute6 \
	$RPM_BUILD_ROOT%{_sbindir}
install -p arping $RPM_BUILD_ROOT/sbin
install -p ping ping6 $RPM_BUILD_ROOT/bin

install -p ninfod/ninfod $RPM_BUILD_ROOT%{_sbindir}
# TODO: PLDify, subpackage?
#install ninfod/ninfod.sh $RPM_BUILD_ROOT/etc/rc.d/init.d

%if %{with doc}
cp -p doc/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
echo ".so tracepath.8" > $RPM_BUILD_ROOT%{_mandir}/man8/tracepath6.8
%endif

# no tftpd
%{__rm} $RPM_BUILD_ROOT%{_sbindir}/tftpd
%{?with_doc:%{__rm} $RPM_BUILD_ROOT%{_mandir}/man8/tftpd*}

# we don't build pg kernel module
%{__rm} $RPM_BUILD_ROOT%{_sbindir}/ipg
%{?with_doc:%{__rm} $RPM_BUILD_ROOT%{_mandir}/man8/pg3*}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc RELNOTES %{?with_doc:doc/*.html}
%attr(4754,root,adm) %{_sbindir}/clockdiff
%attr(755,root,root) %{_sbindir}/ninfod
%attr(755,root,root) %{_sbindir}/rarpd
%attr(755,root,root) %{_sbindir}/rdisc
%attr(755,root,root) %{_sbindir}/tracepath
%attr(755,root,root) %{_sbindir}/tracepath6
%attr(4754,root,adm) %{_sbindir}/traceroute6
%if %{with doc}
%{_mandir}/man8/clockdiff.8*
%{_mandir}/man8/ninfod.8*
%{_mandir}/man8/rarpd.8*
%{_mandir}/man8/rdisc.8*
%{_mandir}/man8/tracepath.8*
%{_mandir}/man8/tracepath6.8*
%{_mandir}/man8/traceroute6.8*
%endif

%files -n ping
%defattr(644,root,root,755)
%attr(4755,root,root) %verify(not mode) /bin/ping
%attr(4755,root,root) %verify(not mode) /bin/ping6
%if %{with doc}
%{_mandir}/man8/ping.8*
%endif

%files arping
%defattr(644,root,root,755)
%attr(4755,root,root) /sbin/arping
%if %{with doc}
%{_mandir}/man8/arping.8*
%endif
%changelog
* Sat Aug 27 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/iputils.git;a=log;h=master

* Sat Aug 27 2016 Jan Rękorajski <baggins@pld-linux.org> 136bc2a
- release 3 (by relup.sh)

* Mon Jul 11 2016 Elan Ruusamäe <glen@delfi.ee> 7bd7c12
- rename ping pacakge to just "ping"

* Tue May 24 2016 Elan Ruusamäe <glen@delfi.ee> 04ae4b6
- adapter

* Sun Dec 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 50138f7
- updated to s20151218
- updated bindnow patch
- removed obsolete pingsock patch

* Tue May 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 1ff68df
- BR: gnutls-openssl-devel (for ping6)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c4b7277
- x32 rebuild
- release 2 (by relup.sh)

* Tue Jan 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 54c5278
- updated to s20121221
- updated bindnow patch
- removed obsolete doc patch

* Mon Nov 26 2012 Jakub Bogusz <qboosh@pld-linux.org> abccb06
- updated to s20121126
- updated bindnow patch

* Thu Nov 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 0d65c7a
- build and package ninfod (maybe it should be in subpackage with init script)

* Thu Nov 15 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9fcd22f
- release 2 (by relup.sh)

* Thu Nov 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 477b1b5
- added doc patch (fixes sgml errors)

* Thu Nov 15 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f480b1d
- up to s20121114

* Sun Nov 11 2012 Jakub Bogusz <qboosh@pld-linux.org> a643421
- updated to 20121106
- updated bindnow patch

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> e099df1
- updated to s20121011
- updated bindnow,pingsock patches
- removed obsolete build patch

* Fri Mar 09 2012 Jan Rękorajski <baggins@pld-linux.org> 2d53e5c
- rel 3
- drop ping paranoia, there is no real reason for it, it's only SbO

* Fri Jul 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bbdac1e
- rel 2; icmp sockets support introduced in linux kernel 3.0

* Thu Feb 03 2011 Jakub Bogusz <qboosh@pld-linux.org> c18a916
- updated URL
- use __rm macro

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 8b8d0d8
- BR: openssl-devel, sysfsutils-devel

* Thu Dec 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a86b4a
- up to s20101006

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> b5432be
- rel 4

